#ifndef __GSGPU_TTM_HELPER_H__
#define __GSGPU_TTM_HELPER_H__

#include "conftest.h"

struct ttm_bo_global_ref;
struct drm_global_reference;
struct gsgpu_device;

#if defined(LG_TTM_BO_DEVICE_INIT_HAS_GLOB_ARG)
#define LG_GSGPU_MMAN_COMPAT_MEMBERS \
        struct ttm_bo_global_ref        bo_global_ref; \
        struct drm_global_reference     mem_global_ref;
#else
#define LG_GSGPU_MMAN_COMPAT_MEMBERS
#endif

/*
 * fix case 1/10/13
 */
#define DRM_FILE_PAGE_OFFSET (0x100000000ULL >> PAGE_SHIFT)

extern int lg_gsgpu_ttm_global_init(struct gsgpu_device *adev);
extern void lg_gsgpu_ttm_global_fini(struct gsgpu_device *adev);

#endif /* __GSGPU_TTM_HELPER_H__ */
